﻿using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.XPMenus;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp2
{
  public partial class Form1 : Form
  {
        bool check = false;
        MiniToolBar toolBar;
        public Form1()
        {

            InitializeComponent();

            this.toolBar = new MiniToolBar();
            toolBar.Items.Add("item1");

        }
                
        private void button1_Click(object sender, EventArgs e)
        {

            CustomizingPopupMenu menu = new CustomizingPopupMenu();
            menu.ParentBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            menu.ParentBarItem.Items.Add(new BarItem() { Text = "item" });
            menu.BeforePopup += Menu_BeforePopup;
            menu.Show(this.panel1, new Point(button1.Location.X + 80, button1.Location.Y));
        }

      
        // This can be achieved in Before Popup event 
        private void Menu_BeforePopup(object sender, Syncfusion.Windows.Forms.CancelMouseEventArgs e)
        {
            if (!check)
            {
               
                this.toolBar.Visible = false;
                this.toolBar.Focus();
                this.toolBar.Show(this.PointToScreen(new Point(button1.Location.X + 80, button1.Location.Y - this.button1.Height - 10)));
            }
            check = false;
        }
    }
}
